Name:           python-snowflake-snowpark-python
Version:        1.33.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Snowflake Snowpark for Python

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/snowflakedb/snowpark-python
Source:         %{pypi_source snowflake_snowpark_python}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'snowflake-snowpark-python' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-snowflake-snowpark-python
Summary:        %{summary}

%description -n python3-snowflake-snowpark-python %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-snowflake-snowpark-python development,localtest,modin,modin-development,opentelemetry,pandas,secure-local-storage


%prep
%autosetup -p1 -n snowflake_snowpark_python-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x development,localtest,modin,modin-development,opentelemetry,pandas,secure-local-storage


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-snowflake-snowpark-python -f %{pyproject_files}


%changelog
%autochangelog